﻿//	==============================================
//	Version	Articulate 360
//	Datum	2021-05-06
//	Eingabe	cd, ukv, wbp, webtrainer, noZert, ilias
//	==============================================
var wekaOutput = "cd";

//	==============================================
//	Storyline-Variablen belegen
//	==============================================
function weka() {
	var output = wekaOutput;
	
	//	------------------------------------
	//	Variablen vorbelegen:
	var wbp			= false	// wekaBusinessPortal
	,	wbtPrintZert= false	// WBT druckt das Zertifikat
	,	eLearning	= false	// eLearning-Logo anzeigen
	,	ilias		= false	// Grafik für Ilias-Zertifikat anzeigen
	,	player		= window.GetPlayer()
	;
	if (!player) return;

	//	------------------------------------
	//	Variablen je Output setzen:
	switch (output) {
		case "cd":
			wbtPrintZert = true;
			eLearning	 = true;
			break;
		case "wbp":
			wbp	= true;
			wbtPrintZert = true;
			break;
		case "webtrainer":
			wbtPrintZert = true;
			break;
		case "ukv":
			wbtPrintZert = true;
			break;
		case "ilias":
			ilias = true;
			break
	}
	
	//	------------------------------------
	//	Variablen übermitteln:
	player.SetVar("wbp", wbp);
	player.SetVar("wbtPrintZert", wbtPrintZert);
	player.SetVar("eLearning", eLearning);
	player.SetVar("ilias", ilias);

	//	------------------------------------
	//	cmi.StudentName
	if(output == "cd" || output == "wbp") return;
	if(GetStudentName){
		player.SetVar( "lmsName", GetStudentName() );
	}
}

//	==============================================
//	UKV-Menu on / off
//	==============================================
function startPage(){
	if(document.getElementById('hamburger')){
		if(wekaOutput == "ukv"){
			showMenu();
		}else{
			hideMenu()
		}
	}else{
		setTimeout(startPage, 100);
	}
}
function showMenu(){
	document.getElementById("sidebar").style.opacity=1;
//	document.getElementById("hamburger").style.visibility="visible";
	document.getElementById("frame").style.opacity=1
}
function hideMenu(){
	var burger = document.getElementById("hamburger");
	var menExp = burger.getAttribute("aria-expanded");
	burger.blur();
	if(menExp == "true"){
		burger.click();
	}
	document.getElementById("frame").style.opacity=1;
}
startPage();

//	==============================================
//	SCORM-Daten abspeichern (obsolet)
//	Bitte die Articulate-eigene Funktion benutzen!
//	==============================================
function speichern(){
	if (objLMS && objLMS.SetCompleted && objLMS.CommitData){
		var strResult = objLMS.SetCompleted();
		objLMS.CommitData();
	}
}

//	==============================================
//	Immer: Suppress Analytics
//	==============================================
if(window.globals){
	window.globals.suppressAnalytics = true;
}